//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ItemStatusCodeLifeCycle.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ItemStatusCodeLifeCycle"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="new"/&gt;
 *     &lt;enumeration value="draft"/&gt;
 *     &lt;enumeration value="pending"/&gt;
 *     &lt;enumeration value="final"/&gt;
 *     &lt;enumeration value="rejected"/&gt;
 *     &lt;enumeration value="cancelled"/&gt;
 *     &lt;enumeration value="deprecated"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ItemStatusCodeLifeCycle")
@XmlEnum
public enum ItemStatusCodeLifeCycle {


    /**
     * Item just created and is new and work in progress to become a draft/finalized item/issue. Beyond the author, nobody should look at this
     *                         item/issue unless it's status code is draft or finalized.
     * 
     */
    @XmlEnumValue("new")
    NEW("new"),

    /**
     * Item is draft
     * 
     */
    @XmlEnumValue("draft")
    DRAFT("draft"),

    /**
     * Item is in pre-publication review: the item is complete, pending appropriate review.
     * 
     */
    @XmlEnumValue("pending")
    PENDING("pending"),

    /**
     * Item finalized, ready for approval
     * 
     */
    @XmlEnumValue("final")
    FINAL("final"),

    /**
     * Item is rejected
     * 
     */
    @XmlEnumValue("rejected")
    REJECTED("rejected"),

    /**
     * Item is cancelled
     * 
     */
    @XmlEnumValue("cancelled")
    CANCELLED("cancelled"),

    /**
     * Item is deprecated, i.e. item should be avoided to be used, typically because it will be or has been superseded
     * 
     */
    @XmlEnumValue("deprecated")
    DEPRECATED("deprecated");
    private final String value;

    ItemStatusCodeLifeCycle(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ItemStatusCodeLifeCycle fromValue(String v) {
        for (ItemStatusCodeLifeCycle c: ItemStatusCodeLifeCycle.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
